Events
Record a contact event
POST
Records a custom event against a contact, which segments and journey triggers can match on. Identify the contact by contactId, email or externalIdentifier.
Requires the event:write scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
application/json- body
name*stringMatch
^[a-zA-Z0-9][a-zA-Z0-9 ._-]*$Length
1 <= length <= 100email?stringFormat
emailcontactId?stringFormat
uuidexternalIdentifier?stringproperties?occurredAt?stringidempotencyKey?stringLength
length <= 255application/json- response
id*stringname*stringcontactId*stringoccurredAt*stringFormat
date-timededuplicated*booleancurl -X POST 'https://api.mailcrate.io/public/event' \ -H 'Authorization: Api-Key <api_key>' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "id": "string", "name": "string", "contactId": "string", "occurredAt": "2019-08-24T14:15:22Z", "deduplicated": true}